package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ViolationTypeFactory
{
    private ViolationTypeFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.IViolationType getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IViolationType)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4A0DE6BB") ,com.kingdee.eas.custom.compensation.basedata.IViolationType.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.IViolationType getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IViolationType)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4A0DE6BB") ,com.kingdee.eas.custom.compensation.basedata.IViolationType.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.IViolationType getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IViolationType)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4A0DE6BB"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.IViolationType getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IViolationType)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4A0DE6BB"));
    }
}